Bug 510573 - Review Request: olpc-bootanim - OLPC XO boot animation
Review Request: olpc-bootanim - OLPC XO boot animation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-07-09 15:53 EDT by Daniel Drake
Modified: 2009-08-03 18:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 11:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2009-07-09 15:53:34 EDT
Spec URL: http://dev.laptop.org/~dsd/20090709/olpc-bootanim.spec
SRPM URL: http://dev.laptop.org/~dsd/20090709/olpc-bootanim-2.6-1.src.rpm
Description:

This is OLPC's boot animation implementation, as a plymouth replacement. We are not using plymouth yet because it adds about 20 seconds to the time needed to boot the XO (our own boot animation is simple, and heavily optimized).

Looking to get this included in F11 for the OLPC spin.
Comment 1 Daniel Drake 2009-07-09 17:35:28 EDT
are the Obsoletes/Provides lines OK? I wouldn't want yum on normal users systems to see this as an upgrade for plymouth.
Comment 2 Peter Robinson 2009-07-14 11:28:32 EDT
I'll review this one
Comment 3 Peter Robinson 2009-07-15 09:34:09 EDT
There's a few things that need to be fixed up. I'm also not convinced that it should provide/conflict plymouth as because its a service it could be enabled/disabled along with plymouth so they could co-exist in theory.

+ rpmlint output

rpmlint olpc-bootanim-2.6-1.src.rpm olpc-bootanim-2.6-1.x86_64.rpm olpc-bootanim.spec 
olpc-bootanim.src: W: summary-ended-with-dot OLPC XO boot animation.
olpc-bootanim.src: W: invalid-license GPL
olpc-bootanim.x86_64: W: summary-ended-with-dot OLPC XO boot animation.
olpc-bootanim.x86_64: W: invalid-license GPL
olpc-bootanim.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/z-boot-anim-stop
olpc-bootanim.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/ul-warning
olpc-bootanim.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/0-boot-anim-start
olpc-bootanim.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/z-boot-anim-stop
olpc-bootanim.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/ul-warning
olpc-bootanim.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/0-boot-anim-start
olpc-bootanim.x86_64: W: service-default-enabled /etc/rc.d/init.d/z-boot-anim-stop
olpc-bootanim.x86_64: E: no-status-entry /etc/rc.d/init.d/z-boot-anim-stop
olpc-bootanim.x86_64: W: no-reload-entry /etc/rc.d/init.d/z-boot-anim-stop
olpc-bootanim.x86_64: E: subsys-not-used /etc/rc.d/init.d/z-boot-anim-stop
olpc-bootanim.x86_64: W: service-default-enabled /etc/rc.d/init.d/ul-warning
olpc-bootanim.x86_64: E: no-status-entry /etc/rc.d/init.d/ul-warning
olpc-bootanim.x86_64: W: no-reload-entry /etc/rc.d/init.d/ul-warning
olpc-bootanim.x86_64: W: service-default-enabled /etc/rc.d/init.d/0-boot-anim-start
olpc-bootanim.x86_64: E: no-status-entry /etc/rc.d/init.d/0-boot-anim-start
olpc-bootanim.x86_64: W: no-reload-entry /etc/rc.d/init.d/0-boot-anim-start
olpc-bootanim.x86_64: E: subsys-not-used /etc/rc.d/init.d/0-boot-anim-start
2 packages and 1 specfiles checked; 8 errors, 13 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
- license matches the actual package license

  license should be GPLv2+

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
- upstream sources match sources in the srpm
  
  No source URL specified. Should possibly specify git gerenated tar file eg:
  http://dev.laptop.org/git/users/dsd/olpc-bootanim/snapshot/bootanim-2.4.tar.bz2
  Or specify the actual URL to get the tar file

+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
? the package should build into binary RPMs on all supported architectures - it builds with x86_64 as well and it might be worth enabling it for that platform
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 4 Peter Robinson 2009-07-15 09:38:05 EDT
Also I don't think these are config files but rather just standard system services files

%config %{_sysconfdir}/rc.d/init.d/0-boot-anim-start
%config %{_sysconfdir}/rc.d/init.d/z-boot-anim-stop
%config %{_sysconfdir}/rc.d/init.d/ul-warning
Comment 5 Daniel Drake 2009-07-15 11:47:50 EDT
Thanks, All fixed except for:

W: service-default-enabled - intentional
W: no-reload-entry - these don't make sense in the context of the init scripts
E: subsys-not-used - doesn't make sense in the cases where it complains, these are more like 1-shot stateless scripts

http://dev.laptop.org/~dsd/20090715/olpc-bootanim-2.7-1.fc11.src.rpm
http://dev.laptop.org/~dsd/20090715/olpc-bootanim.spec

I think the conflict with plymouth should stay because this package provides /usr/bin/plymouth too
Comment 6 Daniel Drake 2009-07-15 12:06:13 EDT
Obsoletes/Provides aren't what we want, but we do want Conflicts. Updated the spec file and requested permission from the packaging committee.
Comment 7 Daniel Drake 2009-07-16 11:51:33 EDT
OK, lets keep this one out of tree for now. In the long term hopefully it will be possible to use plymouth instead.

Note You need to log in before you can comment on or make changes to this bug.